=== data/icons/CMakeLists.txt ===

########### install files ###############

install (FILES theme-distant.svg
	theme-local.svg
	theme-new.svg
	theme-updated.svg
	theme-user.svg
	balloons.png
	DESTINATION ${pkgdatadir}/icons )
