=== data/gauges/battery/CMakeLists.txt ===

########### install files ###############

install(FILES  background.svg 	foreground.svg 	battery0.svg 	battery1.svg 	battery2.svg 	battery3.svg 	battery4.svg 	battery5.svg 	battery6.svg 	battery7.svg 	theme.xml 	readme DESTINATION ${pkgdatadir}/gauges/Battery )
