=== data/default-theme/plug-ins/Animated-icons/CMakeLists.txt ===

########### install files ###############

install(FILES  Animated-icons.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/Animated-icons )
