=== data/default-theme/plug-ins/Dbus/CMakeLists.txt ===

########### install files ###############

install(FILES  Dbus.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/Dbus )
