=== data/default-theme/plug-ins/dnd2share/CMakeLists.txt ===

########### install files ###############

install(FILES  dnd2share.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/dnd2share )
