=== debian/changelog ===
cairo-dock (2.3.0~3-1) unstable; urgency=low

  * New Upstream version 2.3.0~3.
  * Bump Standard Version: 3.9.2.
  * Fix icon path of cairo-dock.svg in cairo-dock.desktop (Closes: #628155).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Jul 2011 12:05:14 +0900

cairo-dock (2.3.0~0rc1-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Fix install path of example and update install file.
  * Update debian/patches
  * Update debian/cairo-dock-dev.install and debian/cairo-dock-core.install
    - Add usr/lib/libgldi.so.*
  * Update debian/rules and debian/control
    - Build system of upstream became cmake.
    - Add cmake to Build-Depends.
    - Add libcurl4-gnutls-dev to Build-Depends.
    - Update version of cairo-dock-plugins.
  * Add cairo-dock-core.lintian-overrides.

  [ Youhei SASAKI ]
  * New Upstream version 2.3.0~0rc1
  * Update debian/changelog
  * Add DM-Upload-Allowed: yes
  * add clean target: rm src/config.h
  * fix doc/example install target
  * Add fix soname patch
  * Update debian/control
    - Add gimp, inkscape, gcalctool, f-spot to Suggests for default-theme 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 01 Mar 2011 17:08:34 +0900
