=== data/desktop-manager/CMakeLists.txt ===
install (FILES
	cairo-dock.desktop
	cairo-dock-fallback.desktop
	DESTINATION /usr/share/xsessions)

install (FILES
	cairo-dock.session
	cairo-dock-fallback.session
	DESTINATION /usr/share/gnome-session/sessions)
