=== src/gldit/CMakeLists.txt ===
--- 
+++ 
@@ -56,6 +56,7 @@
 	cairo-dock-packages.c 				cairo-dock-packages.h
 	cairo-dock-particle-system.c 		cairo-dock-particle-system.h
 	cairo-dock-emblem.c 				cairo-dock-emblem.h
+	cairo-dock-overlay.c 				cairo-dock-overlay.h
 	cairo-dock-task.c 					cairo-dock-task.h
 	cairo-dock-config.c 				cairo-dock-config.h 
 	texture-gradation.h
@@ -96,7 +97,7 @@
 
 # Link the result to the librairies.
 target_link_libraries("gldi"
-	${PACKAGE_LIBRARIES}
+	${PACKAGE_LIBRARIES} -ldl
 	${XEXTEND_LIBRARIES}
 	${LIBCRYPT_LIBS}
 	icon-factory
@@ -150,7 +151,7 @@
 	
 	cairo-dock-draw.h					cairo-dock-draw-opengl.h
 	cairo-dock-opengl-path.h 			cairo-dock-opengl-font.h 
-	cairo-dock-particle-system.h		cairo-dock-emblem.h
+	cairo-dock-particle-system.h		cairo-dock-emblem.h cairo-dock-overlay.h
 	cairo-dock-X-utilities.h			cairo-dock-dbus.h
 	cairo-dock-keyfile-utilities.h		cairo-dock-surface-factory.h
 	cairo-dock-log.h					cairo-dock-keybinder.h
@@ -159,8 +160,8 @@
 	cairo-dock-animations.h
 	cairo-dock-gui-factory.h
 	
-	DESTINATION ${includedir}/cairo-dock/cairo-dock)
+	DESTINATION ${includedir}/cairo-dock/gldit)
 
-if (NOT "${enable_gtk_grip}" STREQUAL "")
+if (NOT "${enable_gtk_grip}" STREQUAL "")  # actually it's more "disable-gtk-grip" ...
 	add_definitions (-DENABLE_GTK_GRIP=1)
 endif()
