=== src/implementations/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 add_library(implementations STATIC ${impl_SRCS})
 add_definitions (-fPIC)
+add_definitions (-DSHARE_DATA_DIR="${pkgdatadir}")
 
 link_directories(
 	${PACKAGE_LIBRARY_DIRS})
