=== debian/changelog ===
cairo-dock (2.4.0~2-0ubuntu1) oneiric; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream bug fix release. (LP: #859982)
  * Upstream (short) ChangeLog (2.4.0~0beta2 -> 2.4.0~1):
   - Improved support of the new Gnome 3 session
      (to avoid conflicts with the new Gnome-Panel).
   - Code cleaned and re-organised a few functions
      (e.g. with cairo-dock-overlay, cairo-dock.c, etc.)
   - Updating translations
   - Improved the support of XFCE and LXDE environments
   - Removed invalid launcher desktop files
   - Used a default icon if the path set by the user is wrong
   - Fixed the possibility to sticky a desklet (bug due to a Xorg update)
   - GUI: fixed the list-entry widget
   - Fixed support of the Widget Layer in Compiz >= 0.9
   - Compiz type filter: replaced type=utility by type=Utility
   - Fixed a small refresh bug in cairo mode
      (with icons that are always visible)
   - Improved the placement of icons when avoiding the mouse
      (when something is being dropped onto the dock)
   - Updated the default theme in order to use new applications
   - Gauge implementation: Rewritten to use CairoDockImageBuffer
      and fixed the problem with png images
   - Graphs: Improved the drawing and added more precisions
   - Improved the 'lock' option description
   - GUI simple: fixed a bad update of the parameters
      when switching back to the previous value
   - Fixed the path of the preview for the default view
   - Help: Fixed the problem with tips
   - Default-theme: .conf files: fixed lintian warnings
   - Fixed a few warnings at the compilation
   - Removed a few useless output messages
   - Fixed these LP bugs:
    + Cairo-dock corrupts Kdenlive monitor display LP: #729970
    + Can't play videos in kaffeine LP: #475375
   - And fixed a lot of tiny bugs, please have a look to bzr logs.
  * Upstream (short) ChangeLog (2.4.0~1 -> 2.4.0~2):
   - Fixed a bug with the detection of compiz plugins
   - doc: used the right version
   - Fixed a possible crash with an empty dock LP: #861725
   - FlyingContainer: draw the icon correctly
  * debian/patches:
   - Removed 01-musicPlayer_with_banshee: now in upstream
  * debian/copyright:
   - Updated and fixed lintian warnings: old-fsf-address-in-copyright-file
  * debian/rules and debian/cairo-dock-data.install:
   - Added support of the new Gnome 3 session.
  * debian/control:
   - Fixed lintian warning: description-synopsis-starts-with-article
   - Fixed lintian error: version-substvar-for-external-package
  * debian/cairo-dock-data.lintian-overrides:
   - Removed old warnings (fixed)
   - Added binary-without-manpage (custom scripts used)
  * debian/cairo-dock-core.install and debian/cairo-dock-dev.install:
   - Fixed a lintian warning: non-dev-pkg-with-shlib-symlink
  * debian/patches/01-improved-cairo-dock-session.patch:
   - Improved the launch of our Cairo-Dock session (by removing Unity
      Compiz plugin and by launching the dock with a short delay)
   - Fixed lintian error: shell-script-fails-syntax-check
      (it seems I made wrong manipulation with vim...)
  * debian/patches/02-manpage-not-compressed-with-max-compression.patch:
   - Fixed this lintian error: manpage-not-compressed-with-max-compression

 -- Iain Lane <laney@ubuntu.com>  Tue, 11 Oct 2011 10:53:26 +0100

cairo-dock (2.4.0~0beta2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #823513)
  * Upstream (short) ChangeLog:
   - A new Help applet has been added to help our beloved user.
   - Improved integration in the XFCE and LXDE desktop.
   - Improved the classifying of our files in the source code
      and in share/cairo-dock directory.
   - Launchers and applications now uses the linked .desktop file.
   - Fixed a few bugs as usual
  * debian/patches:
   - Removed 01-default_theme_with_default_apps (now in upstream).
   - Added 01-musicPlayer_with_banshee in order to use Banshee instead
      of Rhythmbox for the default music player.
  * debian/control:
   - Bump Standard-Version to 3.9.2.
   - Removed gawk from the build dependences list (no longer needed).

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 09 Aug 2011 21:39:42 +0200

cairo-dock (2.3.0~3-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #799773)
  * Upstream ChangeLog:
   - Fixed a crash that occurs when the MP applet is in desklet
      mode and applets separated from launchers
      and the music-player is launched. (LP: #797273)
  * debian/patches:
   - Removed 02-mouse-leaves-on-the-edge_upstream-version-2.3.0~2.1.patch
    (now in the upstream release)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 20 Jun 2011 16:55:12 +0200
