=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable_gtk_grip=yes \
	-Denable-desktop-manager=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack
